//
//  BannerViewController.m
//  AdMob Banner Sample
//
//  Created by Alan Tang on 5/17/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "BannerViewController.h"

@implementation BannerViewController
@synthesize btnPressed;
@synthesize testToggled;

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    // Create a view of the standard size at the bottom of the screen.
    // Available AdSize constants are explained in GADAdSize.h.
    bannerView_ = [[GADBannerView alloc] initWithAdSize:kGADAdSizeBanner];
    
    // Specify the ad's "unit identifier." This is your AdMob Publisher ID.
    //Alan's iphone site
    bannerView_.adUnitID = @"a14ec317dca03ff";
        
    // Let the runtime know which UIViewController to restore after taking
    // the user wherever the ad goes and add it to the view hierarchy.
    bannerView_.rootViewController = self;
    [self.view addSubview:bannerView_];
    
    // Initiate a generic request to load it with an ad
    
    GADRequest *request = [GADRequest request];
    //request.testing = YES;
    [bannerView_ loadRequest: request];
}
- (IBAction)testToggled:(id)sender {
    
    if ([sender isOn]) {
        GADRequest *request = [GADRequest request];
        request.testing = YES;
        
        [bannerView_ loadRequest:request];
    }
    else {
        GADRequest *request = [GADRequest request];
        request.testing = NO;
        [bannerView_ loadRequest:request];
    }
   
}

- (IBAction)btnPressed:(id)sender {
    GADRequest *request = [GADRequest request];
   [bannerView_ loadRequest:request];
    //NSLog(@"button pressed");
}


- (void)viewDidUnload
{   
    [self setBtnPressed:nil];
    [self setTestToggled:nil];
   [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;    
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

@end
